#include "TGeoManager.h"

#include <iostream>

int main(int argc, char **argv) {

  TGeoManager::Import(argv[1]);
  std::cout << "Top node: " << gGeoManager->GetTopNode()->GetName() << std::endl;
  TGeoNode *child = (TGeoNode *)(gGeoManager->GetTopNode()->GetNodes()->At(0));
  Double_t local[3] = {0., 0., 0.}, master[3];
  child->LocalToMaster(local, master);
  std::cout << "Child node: " << child->GetName() << " " << master[0] << " " << master[1] << " " << master[2]
            << std::endl;

  return 0;
}
